GH-ISSUE-VIEW(1)

NAME

gh-issue-view - View an issue

SYNOPSIS

gh issue view {<number> | <url>} [flags]

DESCRIPTION

Display the title, body, and other information about an issue.

With --web flag, open the issue in a web browser instead.

OPTIONS

-c, --comments
    View issue comments

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

-w, --web
    Open an issue in the browser

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

JSON FIELDS

assignees, author, body, closed, closedAt, comments, createdAt, id, isPinned, labels, milestone, number, projectCards, projectItems, reactionGroups, state, stateReason, title, updatedAt, url

EXIT CODES

0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO

gh-issue(1)